# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# 32/64bit spec-file
#
%define name	dropbox-service-menu
%define pname	DropboxServiceMenu
%define version	0.16.1
%define release	%mkrel 3

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		KDE Service Menu for Dropbox
URL:			http://kde-apps.org/content/show.php/Dropbox+ServiceMenu?content=124416
Group:			Graphical desktop/KDE4
License:		GPL
Source:			%{pname}-%{version}.tar.xz
Requires:		dropbox >= 1.4.9
Requires:		recode
Requires:		python-dbus
Requires:		kde-baseapps
Requires:		sharutils
Requires:		xdg-utils
Requires:		sqlite3-tools
Requires:		python-m2crypto
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Dropbox ServiceMenu is a servicemenu which allows easy access to most of 
Dropbox features. It uses Dropbox CLI to generate public urls, and pyndexer 
to allow sharing directories in public folder.

Features:
     * Copy Public URL to clipboard
     * Share folder (via web browser)
     * Copy file/directory to public folder and paste the URL to clipboard
     * Move file/directory to public folder and paste the URL to clipboard
     * Support for sharing directories in public folder using pyndexer ( http://dl.dropbox.com/u/552/pyndexer/index.html )
     * Send generated public url via default email client and GMail (via webbrowser)
     * View previous versions of file (via web browser)
     * Encrypt directory listing with password (only works for directories in public folder)
     * Automatic detection of Dropbox directory path

%prep
%setup -qn %{pname}-%{version}

%install
%__rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/
cp -afR dropbox-scripts/ dropbox_*.desktop ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}/
cp -afR dropbox-scripts/* ${RPM_BUILD_ROOT}%{_bindir}/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
cp -afR Changelog LICENSE THANKS ${RPM_BUILD_ROOT}%{_datadir}/%{name}/

%post
/sbin/ldconfig

#copy service menu script folder and files to user folder
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
 do INP1=/home/$idx/.kde4/share/kde4/services/ServiceMenus/
if [ -e $INP1 ];then cp -afR /usr/share/kde4/services/ServiceMenus/dropbox-scripts /home/$idx/.kde4/share/kde4/services/ServiceMenus/;cp -afR /usr/share/kde4/services/ServiceMenus/dropbox_*.desktop /home/$idx/.kde4/share/kde4/services/ServiceMenus/; chown $idx.`id -gn $idx` $INP1; fi; done 

%postun
/sbin/ldconfig

#remove service menu script folder and files from user folder
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
 do INP1=/home/$idx/.kde4/share/kde4/services/ServiceMenus/
if [ -e $INP1 ];then rm -rf /home/$idx/.kde4/share/kde4/services/ServiceMenus/dropbox-scripts;rm -f /home/$idx/.kde4/share/kde4/services/ServiceMenus//dropbox_*.desktop; chown $idx.`id -gn $idx` $INP1; fi; done 

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_datadir/%{name}
%_datadir/kde4/services/ServiceMenus/dropbox-scripts/
%_datadir/kde4/services/ServiceMenus/dropbox_all.desktop
%_datadir/kde4/services/ServiceMenus/dropbox_directories.desktop
%_datadir/kde4/services/ServiceMenus/dropbox_files.desktop
%{_bindir}/*dropbox*
%{_bindir}/pyndexer.py


%changelog
* Tue Jul 16 2013 Texstar <texstar at gmail.com> 0.16.1-3pclos2013
- fix rpm group

* Thu Mar 21 2013 pinoc <vogtpet at gmail.com> 0.16.1-2pclos2013
- amended Requires
- added installation files to /usr/bin

* Mon Aug 27 2012 Neal <nealbrks0 at gmail dot com> 0.16.1-1pclos2012
- process

* Mon Aug 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.16.1-1_archie_2012
- create package
